Skip to main content
GET
/
prompt-templates
/
{identifier}
/
labels
Get Prompt Template Labels
curl --request GET \
  --url https://api.promptlayer.com/prompt-templates/{identifier}/labels \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.promptlayer.com/prompt-templates/{identifier}/labels"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.promptlayer.com/prompt-templates/{identifier}/labels', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "release_labels": [
    {
      "prompt_version_id": 123,
      "prompt_version_number": 123,
      "release_label": "<string>",
      "release_label_id": 123
    }
  ]
}
{
  "success": false,
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Retrieve all the release labels assigned to a prompt template. Identifiers can be either prompt_name or prompt_id.

Authorizations

X-API-KEY
string
header
required

Path Parameters

identifier
string
required

The identifier can be either the prompt name or the prompt id.

Response

Successful Response

release_labels
Release Labels · object[]
required